<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Author: Brandon Davis (NetriX) & KasteR (Kaster.us)
| PHP-Fusion USA NSS - PHP-Fusion.us
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."weblinks_top10_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."weblinks_top10_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."weblinks_top10_panel/locale/English.php";
}
add_to_head('<style type="text/css">
   .webtooltip {
   display:none;
   position:absolute;
   border:1px solid #333;
   background-color:#161616;
   border-radius:5px;
   padding:10px;
   color:#fff;
   font-size:12px Arial;
}
</style>
');
add_to_footer('
<script type="text/javascript">
$(document).ready(function() {
// Tooltip only Text
$(\'.masterTooltip\').hover(function(){
        // Hover over code
        var title = $(this).attr(\'title\');
        $(this).data(\'tipText\', title).removeAttr(\'title\');
        $(\'<p class="webtooltip"></p>\')
        .text(title)
        .appendTo(\'body\')
        .fadeIn(\'slow\');
}, function() {
        // Hover out code
        $(this).attr(\'title\', $(this).data(\'tipText\'));
        $(\'.webtooltip\').remove();
}).mousemove(function(e) {
        var mousex = e.pageX + 20; //Get X coordinates
        var mousey = e.pageY + 10; //Get Y coordinates
        $(\'.webtooltip\')
        .css({ top: mousey, left: mousex })
});
});
</script>');
$result = dbquery("SELECT * FROM ".DB_WEBLINKS." ORDER BY weblink_count DESC LIMIT 0,10");
openside($locale['001']);
if (dbrows($result)) {
   echo '<ol>';
      while($data = dbarray($result)) {
		$weblink_description = (empty($data['weblink_description']) ? "" : $data['weblink_description']."&nbsp;&dash;&nbsp;");
        echo '<li><a href="'.BASEDIR.'weblinks.php?weblink_id='.$data['weblink_id'].'" class="masterTooltip" title="'.$weblink_description.$data['weblink_url'].'">'.trimlink($data['weblink_name'], 23)."</a>&nbsp;&#40;".$data['weblink_count']."&#41;".'</li>';
      }
   echo '</ol>';
} else {
   echo "<div style='text-align:center'>".$locale['002']."</div>\n";
}
closeside();